Package org.jfree.layouting.renderer.text

## Class DefaultRenderableTextFactory.DefaultRenderableTextFactoryState

- java.lang.Object
- - org.jfree.layouting.renderer.text.DefaultRenderableTextFactory.DefaultRenderableTextFactoryState

- All Implemented Interfaces:
    `java.io.Serializable`, `State`
  Enclosing class:
    DefaultRenderableTextFactory

      protected static class DefaultRenderableTextFactory.DefaultRenderableTextFactoryState
      extends java.lang.Object
      implements State

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `DefaultRenderableTextFactoryState​(DefaultRenderableTextFactory factory)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `StatefullComponent` | `restore​(LayoutProcess layoutProcess)` | Creates a restored instance of the saved component.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultRenderableTextFactoryState

          protected DefaultRenderableTextFactoryState​(DefaultRenderableTextFactory factory)
                                               throws StateException

      Throws:
        `StateException`

  - ### Method Detail

    - #### restore

          public StatefullComponent restore​(LayoutProcess layoutProcess)
                                     throws StateException

      Creates a restored instance of the saved component.

      By using this factory-like approach, we gain independence from having to know the actual implementation. This makes things a lot easier.
      Specified by:
        `restore` in interface `State`
      Parameters:
        `layoutProcess` - the layout process that controls it all
      Returns:
        the saved state
      Throws:
        `StateException`